package at.fhstp.dgruenberger.finishedexample

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.runtime.Composable
import androidx.compose.ui.tooling.preview.Preview

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val noteStore = NoteStoreImpl(applicationContext)

        setContent {
            App(noteStore)
        }
    }
}

@Preview
@Composable
fun AppAndroidPreview() {
    App(noteStore = NoteStoreImpl())
}